export interface UserLoginType {
    username: string
    password: string
}

export interface UserState {
    userInfo?: UserType
    tokenKey: string
    token: string
    roleRouters?: string[] | AppCustomRouteRecordRaw[]
    rememberMe: boolean
    loginInfo?: UserLoginType
    btnAuth?: any[]
    appInfo: any
}

export interface UserType {
    username: string
    userNo: string
    password: string
    role?: string
    roleId?: string
    loginType?: number
    phone?: string
    deptList?: any[]
    appInfo?: appInfoType | undefined
}

export interface appInfoType {
    appCode: string
    appName: string
    appId: number
}

export interface myUserType {
    username: string
    password: string
    loginType: number
    phone: string
}

export interface IDeptType {
    deptCode: string | null
    deptId: number
    deptName: string
    deptType: string
    fullPath: string
}
